Bug 1320575 - Error on incremental update PulpExecutionException on errata unit copy
Summary: Error on incremental update PulpExecutionException on errata unit copy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1323726
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-23 14:18 UTC by Justin Sherrill
Modified: 2019-09-25 21:18 UTC (History)
12 users (show)

Fixed In Version: pulp-rpm-2.8.1.1-1,gofer-2.7.6-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:28:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC
Pulp Redmine 1792 High CLOSED - CURRENTRELEASE recursive and depsolving unit copy results in PulpExecutionException 2016-05-17 20:01:08 UTC
Red Hat Bugzilla 1323726 None None None Never

Internal Links: 1323726

Description Justin Sherrill 2016-03-23 14:18:07 UTC
Description of problem:

While working on https://bugzilla.redhat.com/show_bug.cgi?id=1315278

Version-Release number of selected component (if applicable):
6.2 Snap 4

How reproducible:
Always

Steps to Reproduce:
1.  Attempt to perform an incremental update to a content view via the Errata page with at least one errata

Actual results:
Task errors on this step:

Actions::Pulp::Repository::CopyErrata


with this traceback from pulp:

Traceback (most recent call last):
      File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 240, in trace_task
        R = retval = fun(*args, **kwargs)
      File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 473, in __call__
        return super(Task, self).__call__(*args, **kwargs)
      File "/usr/lib/python2.7/site-packages/pulp/server/async/tasks.py", line 103, in __call__
        return super(PulpTask, self).__call__(*args, **kwargs)
      File "/usr/lib/python2.7/site-packages/celery/app/trace.py", line 437, in __protected_call__
        return self.run(*args, **kwargs)
      File "/usr/lib/python2.7/site-packages/pulp/server/managers/repo/unit_association.py", line 273, in associate_from_repo
        units=transfer_units)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/importer.py", line 57, in import_units
        return associate.associate(source_repo, dest_repo, import_conduit, config, units)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/associate.py", line 65, in associate
        group_ids, rpm_names, rpm_search_dicts = identify_children_to_copy(associated_units)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/importers/yum/associate.py", line 302, in identify_children_to_copy
        rpm_search_dicts.extend(unit.rpm_search_dicts)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/db/models.py", line 475, in rpm_search_dicts
        checksumtype=checksumtype)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/db/models.py", line 362, in __init__
        super(RpmBase, self).__init__(*args, **kwargs)
      File "/usr/lib/python2.7/site-packages/pulp_rpm/plugins/db/models.py", line 134, in __init__
        kwargs['checksumtype'] = verification.sanitize_checksum_type(kwargs['checksumtype'])
      File "/usr/lib/python2.7/site-packages/pulp/plugins/util/verification.py", line 67, in sanitize_checksum_type
        lowercase_checksum_type = checksum_type.lower()
    PulpExecutionException: Pulp exception occurred: PulpExecutionException
  spawned_tasks: []


Expected results:
Incremental update succeeds 

Additional info:

Comment 2 pulp-infra@redhat.com 2016-03-23 14:43:33 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2016-03-23 14:43:35 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2016-03-24 20:00:26 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2016-03-28 13:03:33 UTC
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2016-03-28 15:33:34 UTC
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2016-04-01 15:33:40 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 9 sthirugn@redhat.com 2016-04-11 20:53:18 UTC
Failed in satellite-6.2.0-7.0.beta.el7sat.noarch due to https://bugzilla.redhat.com/show_bug.cgi?id=1323726

hammer> content-view version incremental-update --content-view-version-id=3 --errata-ids=b272b0c4-25cc-4204-bfe1-39de76e6e9ba --update-all-hosts=true --lifecycle-environment-ids=2
[....................................................................      ] [92%]

Comment 10 Mike McCune 2016-04-14 04:59:00 UTC
patch for this to unblock is in : POST as indicated in https://bugzilla.redhat.com/show_bug.cgi?id=1323726

Comment 11 jcallaha 2016-04-22 20:12:49 UTC
Verified in Satellite 6.2 Beta Snap 9. 

[root@rhsm-qe-1 ~]# hammer content-view version incremental-update --content-view-version-id 67 --host-ids 14 --lifecycle-environment-ids 1 --errata-ids 7f345af7-05a6-4218-93a1-83a70a62254a
[....................................................................................................................................................................................] [100%]
Content View: beta version 3.1
Added Content:
  Errata:
        RHSA-2015:2617
  Packages:
        openssl-1.0.1e-51.el7_2.1.x86_64
        openssl-devel-1.0.1e-51.el7_2.1.i686
        openssl-devel-1.0.1e-51.el7_2.1.x86_64
        openssl-libs-1.0.1e-51.el7_2.1.i686
        openssl-libs-1.0.1e-51.el7_2.1.x86_64

Comment 12 pulp-infra@redhat.com 2016-04-26 23:04:12 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 13 pulp-infra@redhat.com 2016-05-09 13:30:52 UTC
The Pulp upstream bug status is at VERIFIED. Updating the external tracker on this bug.

Comment 14 pulp-infra@redhat.com 2016-05-17 20:01:09 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 16 errata-xmlrpc 2016-07-27 09:28:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.